<?php
/** 
  * LOM LS est une paire langue / valeur 
  */
class LomLS{
	private $lomLSValues;

	public function __construct(){
		$this->lomLSValues = array();

		$cpt = func_num_args();
		$args = func_get_args();

		switch($cpt){
			case 2:
				$this->constructeur2($args[0], $args[1]);
			break;
			default:
			break;
		}
	}

	public function constructeur2($lang,$value){
		$this->lomLSValues[$lang] = array();
		array_push($this->lomLSValues[$lang], $value);
	}

	/**
	 * 
	 */
	public function set($lang, $value){
		//supprime les elements du tableau
		$this->lomLSValues[$lang] = array();
		
		if(is_array($value)){ 
			//Ajout du nouveau tableau
			foreach ($value as $elem) {
				array_push($this->lomLSValues[$lang], $elem);
			}
		}else{
			array_push($this->lomLSValues[$lang], $value);
		}
	}

	/**
	 * Recupère le premier élément avec l'id "$lang"
	 * @param lang 
	 */
	public function get($lang){
		if(count($this->lomLSValues) > 0 && array_key_exists($lang, $this->lomLSValues) 
			&& count($this->lomLSValues[$lang]) > 0){
			return $this->lomLSValues[$lang][0];
		}else{
			return "";
		}
	}

	/**
	 * Ajoute un element 
	 */
	public function add($lang, $value){
		if(!array_key_exists($lang, $this->lomLSValues)){
			$this->lomLSValues[$lang] = array();
		}

		if(!in_array($value, $this->lomLSValues[$lang])){
			array_push($this->lomLSValues[$lang], $value);
			return true;
		}
	}

	/**
	 * Efface les valeurs du tableau
	 */
	function clear(){
		$this->lomLSValues = array();
	}

	function getList($lang){
		if(array_key_exists($lang, $this->lomLSValues) && count($this->lomLSValues[$lang]) > 0)
			return $this->lomLSValues[$lang];
		else 
			return array();
	}

	function toString(){
		$str = "";

		foreach($this->lomLSValues as $key => $value){
			$str .= $key .";" ;
			$str .= implode(";",$value);
			$str .= "\n";
		}
		return $str;
	}

	function fromString($str){
		if (!is_string($str)) {
			return false;
		}
		$lignes = explode("\n", $str);
		
		unset($lignes[count($lignes)-1]);
		
		for($i = 0; $i < count($lignes); $i++){
			$ligne = explode(";",$lignes[$i]);
			$key = $ligne[0];
			unset($ligne[0]);

			if(!array_key_exists($key, $this->lomLSValues)){
				$this->lomLSValues[$key] = array();
			}
			
			foreach ($ligne as $value) {
				array_push($this->lomLSValues[$key], $value);
			}
		}
	}

	/**
	 * Retourne les langues de la LomLS
	 */
	function keys(){
		return array_keys($this->lomLSValues);
	}

	function toQHash(){
		$hash = array();
		foreach ($lomLSValues as $key => $value) {
			if(is_array($hash[$key])){
				array_push($hash[$key], $value);
			}else{
				$hash[$key] = array();
				array_push($hash[$key], $value);
			}
		}

		return $hash;
	}

	public function __is_equal($param){
		//ABULEDU_LOG_TRACE
        return ((array_keys($this->lomLSValues) == array_keys($param->lomLSValues)) &&
        		 (array_values($this->lomLSValues) == array_values($param->lomLSValues)));
    }
}
?>