<?php
/** Classe AbulEduLOMFrV1
  * @see https://redmine.ryxeo.com/projects/ryxeo/wiki/Format_LOM_LOMFR_ScoLOMFR
  * @see http://www.lom-fr.fr/lomfr-unt/unisciel/modeles-de-fiche/LOMFRTemplate-Unisciel-v1.0-complet.xml/view
  *
  * @author 2012 Eric Seigne <eric.seigne@ryxeo.com>
  * @see The GNU Public License (GNU/GPL) v3
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
  * for more details.
  *
  * You should have received a copy of the GNU General Public License along
  * with this program. If not, see <http://www.gnu.org/licenses/>.
  */
include 'abuledulomv1.php';
class AbulEduLOMFrV1 extends AbulEduLOMV1{
	function __construct(){

		//ABULEDU_LOG_TRACE

		parent::__construct();
		/** Pour prefixer tous les objets XML */
		$this->m_xmlPrefixLomFr = "lomfr:";

		//1.9
		$this->m_GeneralDocumentTypeVocabLOMFR = array();
		$this->m_GeneralDocumentTypeVocabLOMFR["collection"] = "collection";
		$this->m_GeneralDocumentTypeVocabLOMFR["ensemble de données"] = "ensemble de données";
		$this->m_GeneralDocumentTypeVocabLOMFR["évènement"] = "évènement";
		$this->m_GeneralDocumentTypeVocabLOMFR["logiciel"] = "logiciel";
		$this->m_GeneralDocumentTypeVocabLOMFR["objet physique"] = "objet physique";
		$this->m_GeneralDocumentTypeVocabLOMFR["ressource interactive"] = "ressource interactive";
		$this->m_GeneralDocumentTypeVocabLOMFR["service"] = "service";
		$this->m_GeneralDocumentTypeVocabLOMFR["son"] = "son";
		$this->m_GeneralDocumentTypeVocabLOMFR["texte"] = "texte";
		$this->m_GeneralDocumentTypeVocabLOMFR["image fixe"] = "image fixe";
		$this->m_GeneralDocumentTypeVocabLOMFR["image en mouvement"] = "image en mouvement";
		$this->m_GeneralDocumentTypeVocabLOMFR["image"] = "image";	

		//2.3
		$this->m_LifeCycleContributionRoleVocabLOMFR = array();
		$this->m_LifeCycleContributionRoleVocabLOMFR[""] = "Non renseigné";
		$this->m_LifeCycleContributionRoleVocabLOMFR["contributeur"] = "contributeur";

		//5.2
		$this->m_EducationalLearningResourceTypeVocabLOMFR = array();
		$this->m_EducationalLearningResourceTypeVocabLOMFR["démonstration"] = "démonstration";
		$this->m_EducationalLearningResourceTypeVocabLOMFR["évaluation"] = "évaluation";
		$this->m_EducationalLearningResourceTypeVocabLOMFR["animation"] = "animation";
		$this->m_EducationalLearningResourceTypeVocabLOMFR["tutoriel"] = "tutoriel";
		$this->m_EducationalLearningResourceTypeVocabLOMFR["glossaire"] = "glossaire";
		$this->m_EducationalLearningResourceTypeVocabLOMFR["guide"] = "guide";
		$this->m_EducationalLearningResourceTypeVocabLOMFR["matériel de référence"] = "matériel de référence";
		$this->m_EducationalLearningResourceTypeVocabLOMFR["méthodologie"] = "méthodologie";
		$this->m_EducationalLearningResourceTypeVocabLOMFR["outil"] = "outil";
		$this->m_EducationalLearningResourceTypeVocabLOMFR["scénario pédagogique"] = "scénario pédagogique";

		//5.6

		$this->m_EducationalContextVocabLOMFR = array();
		$this->m_EducationalContextVocabLOMFR[""] = "Non renseigné";
		$this->m_EducationalContextVocabLOMFR["enseignement primaire"] = "enseignement primaire";
		$this->m_EducationalContextVocabLOMFR["enseignement secondaire"] = "enseignement secondaire";
		$this->m_EducationalContextVocabLOMFR["licence"] = "licence";
		$this->m_EducationalContextVocabLOMFR["master"] = "master";
		$this->m_EducationalContextVocabLOMFR["doctorat"] = "doctorat";
		$this->m_EducationalContextVocabLOMFR["formation continue"] = "formation continue";
		$this->m_EducationalContextVocabLOMFR["formation en entreprise"] = "formation en entreprise";

		//5.12
		$this->m_EducationalActivitiesVocabLOMFR = array();
		$this->m_EducationalActivitiesVocabLOMFR["animer"] = "animer";
		$this->m_EducationalActivitiesVocabLOMFR["apprendre"] = "apprendre";
		$this->m_EducationalActivitiesVocabLOMFR["collaborer"] = "collaborer";
		$this->m_EducationalActivitiesVocabLOMFR["communiquer"] = "communiquer";
		$this->m_EducationalActivitiesVocabLOMFR["coopérer"] = "coopérer";
		$this->m_EducationalActivitiesVocabLOMFR["créer"] = "créer";
		$this->m_EducationalActivitiesVocabLOMFR["échanger"] = "échanger";
		$this->m_EducationalActivitiesVocabLOMFR["lire"] = "lire";
		$this->m_EducationalActivitiesVocabLOMFR["observer"] = "observer";
		$this->m_EducationalActivitiesVocabLOMFR["organiser"] = "organiser";
		$this->m_EducationalActivitiesVocabLOMFR["produire"] = "produire";
		$this->m_EducationalActivitiesVocabLOMFR["publier"] = "publier";
		$this->m_EducationalActivitiesVocabLOMFR["rechercher"] = "rechercher";
		$this->m_EducationalActivitiesVocabLOMFR["s'auto-former"] = "s'auto-former";
		$this->m_EducationalActivitiesVocabLOMFR["s'exercer"] = "s'exercer";
		$this->m_EducationalActivitiesVocabLOMFR["s'informer"] = "s'informer";
		$this->m_EducationalActivitiesVocabLOMFR["se former"] = "se former";
		$this->m_EducationalActivitiesVocabLOMFR["simuler"] = "simuler";
		$this->m_EducationalActivitiesVocabLOMFR["s'évaluer"] = "s'évaluer";

		//7.1?
		$this->m_RelationKindVocabLOMFR = array();
		$this->m_RelationKindVocabLOMFR["est associée à"] = "est associée à";
		$this->m_RelationKindVocabLOMFR["est la traduction de"] = "est la traduction de";
		$this->m_RelationKindVocabLOMFR["fait l'objet d'une traduction"] = "fait l'objet d'une traduction";
		$this->m_RelationKindVocabLOMFR["est la localisation de"] = "est la localisation de";
		$this->m_RelationKindVocabLOMFR["fait l'objet d'une localisation"] = "fait l'objet d'une localisation";
		$this->m_RelationKindVocabLOMFR["est prérequis de"] = "est prérequis de";
		$this->m_RelationKindVocabLOMFR["a pour prérequis"] = " a pour prérequis";



		$this->m_GeneralDocumentType = array();
	    $this->m_EducationalActivities = array();
	    $this->m_EducationalValidation = new LomLS();
	    

	    
	}

	function __destruct(){
		//ABULEDU_LOG_TRACE
	}


	/** Exporte comme structure XML */
	function abeLOMExportAsXML(){
		//ABULEDU_LOG_TRACE

		$retour = null;
		if($this->m_GeneralIdentifierCatalog ==""|| $this->m_GeneralIdentifierEntry == ""){
			//ABULEDU_LOG_DEBUG

			return $retour;
		}

		$this->p_abeLOMExportAsXML_header();
		$this->p_abeLOMExportAsXML_section1();
		$this->p_abeLOMExportAsXML_section2();
		$this->p_abeLOMExportAsXML_section3();
		$this->p_abeLOMExportAsXML_section4();
		$this->p_abeLOMExportAsXML_section5();
		$this->p_abeLOMExportAsXML_section6();
		$this->p_abeLOMExportAsXML_section7();
		$this->p_abeLOMExportAsXML_section8();
		$this->p_abeLOMExportAsXML_section9();


		//ABULEDU_LOG_DEBUG
		return $this->m_domDocument;
	}

    /**
      * Exporte l'entête du fichier XML
      *
      * @note Exemple de code XML qui sera généré:
      * @code
<?xml version="1.0" encoding="UTF-8"?>

<lom xmlns="http://ltsc.ieee.org/xsd/LOM" xmlns:lomfr="http://www.lom-fr.fr/xsd/LOMFR">
      * @endcode
      */
	function p_abeLOMExportAsXML_header(){

		$this->m_domDocument = new DOMDocument('1.0', 'UTF-8');
        $this->m_domDocument->preserveWhiteSpace = false;
        $this->m_domDocument->formatOutput = true;


        $officeDocContent = $this->m_domDocument->createElementNS("http://ltsc.ieee.org/xsd/LOM", "lomfr:lom");

	    $officeDocContent->setAttribute("xmlns:lomfr","http://www.lom-fr.fr/xsd/LOMFR");
	    $officeDocContent->setAttribute("xmlns:xsi","http://www.w3.org/2001/XMLSchema-instance");
	    $officeDocContent->setAttribute("xsi:schemaLocation","http://ltsc.ieee.org/xsd/LOM http://ltsc.ieee.org/xsd/lomv1.0/lom.xsd");
   
        //$officeDocContent->setAttribute("xsi:schemaLocation","http://ltsc.ieee.org/xsd/LOM http://ltsc.ieee.org/xsd/lomv1.0/lom.xsd");
        //$officeDocContent->setAttribute("xmlns:xsi","http://www.w3.org/2001/XMLSchema-instance");
        $this->m_domDocument->appendChild($officeDocContent);

        $this->m_domRootElement = $officeDocContent;
        //ABULEDU_LOG_DEBUG
        return $this->m_domDocument->saveXML();   
	}

    /**
      * Exporte la section 1 Général
      * @see AbulEduLOMV1::p_abeLOMExportAsXML_section1()
      * @note Exemple de code XML qui sera généré:
      * @code
      <lomfr:documentType>
         <lomfr:source>LOMFRv1.0</lomfr:source>
         <lomfr:value>ensemble de données</lomfr:value>
      </lomfr:documentType>
      <lomfr:genTypologie>
         <lomfr:source>LOMFRv1.0</lomfr:source>
         <lomfr:value/>
      </lomfr:genTypologie>
      <lomfr:documentType>
         <lomfr:source>LOMFRv1.0</lomfr:source>
         <lomfr:value>image</lomfr:value>
      </lomfr:documentType>
      <lomfr:genTypologie>
         <lomfr:source>LOMFRv1.0</lomfr:source>
         <lomfr:value/>
      </lomfr:genTypologie>
      * @endcode
      */
	function p_abeLOMExportAsXML_section1(){
		$e;
		$e_fils;
		$e_fils2;
		$t;

		parent::p_abeLOMExportAsXML_section1();
		$e = $this->m_domCurrentElement;

		//1.9
		if(count($this->m_GeneralDocumentType)){
			foreach ($this->abeLOMgetGeneralDocumentType() as $value) {
                $contenu = explode(";", $value);
                $cle = array_shift($contenu);
                $valeur = implode(";", $contenu);

	            $e_fils = $this->m_domDocument->createElement($this->m_xmlPrefixLomFr."documentType");
	            $e->appendChild($e_fils);
	            {
	                $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixLomFr."source");
	                $e_fils->appendChild($e_fils2);
	                $t = $this->m_domDocument->createTextNode($cle);
	                $e_fils2->appendChild($t);

	                $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixLomFr."value");
	                $e_fils->appendChild($e_fils2);
	                $t = $this->m_domDocument->createTextNode($valeur);
	                $e_fils2->appendChild($t);
	            }                	
			}
		}

		//ABULEDU_LOG_DEBUG
		return $this->m_domDocument->saveXML();
	}

	function p_abeLOMExportAsXML_section5(){
		
		//ABULEDU_LOG_TRACE
		$e;
		$e_fils;
		$e_fils2;
		$t;

		parent::p_abeLOMExportAsXML_section5();
		$e = $this->m_domCurrentElement;

		//5.12
		if(count($this->abeLOMgetEducationalActivities())){
			foreach ($this->abeLOMgetEducationalActivities() as $value) {
                $contenu = explode(";", $value);
                $cle = array_shift($contenu);
                $valeur = implode(";", $contenu);	
             			
	            $e_fils = $this->m_domDocument->createElement($this->m_xmlPrefixLomFr."activity");
	            $e->appendChild($e_fils);
	            {
	                $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixLomFr."source");
	                $e_fils->appendChild($e_fils2);
	                $t = $this->m_domDocument->createTextNode($cle);
	                $e_fils2->appendChild($t);

	                $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixLomFr."value");
	                $e_fils->appendChild($e_fils2);
	                $t = $this->m_domDocument->createTextNode($valeur);
	                $e_fils2->appendChild($t);
	            }             			
			}
		}

		//5.13
		if(count($this->abeLOMgetEducationalValidationKeys())){
			foreach ($this->abeLOMgetEducationalValidationKeys() as  $lang) {
				foreach ($this->abeLOMgetEducationalValidation($lang) as $valeur) {
	                $e_fils = $this->m_domDocument->createElement($this->m_xmlPrefixLomFr."credit");
	                $e->appendChild($e_fils);

	                $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixLomFr."string");
	                $e_fils2->setAttribute("language",$lang);
	                $e_fils->appendChild($e_fils2);
	                $t = $this->m_domDocument->createTextNode($valeur);
	                $e_fils2->appendChild($t);					
				}
			}
		}
		//ABULEDU_LOG_DEBUG

		return $this->m_domDocument->saveXML();
	}

    /*
    <lom:contribute>
        <lom:role>
            <lom:source>LOMFRv1.0</lom:source>
            <lom:value>contributeur</lom:value>
        </lom:role>
        <lom:entity>BEGIN:VCARD
VERSION:3.0
N:Nom; Prenom;;;
FN:Nom Prenom
ORG:Nom de l'organisme du "contributeur";;
EMAIL;INTERNET:Nom@NomOrganisme.fr
END:VCARD
        </lom:entity>
        <lom:date>
            <lom:dateTime>2012-04-17</lom:dateTime>
            <lom:description>
                <lom:string language="fre">commentaire</lom:string>
            </lom:description>
        </lom:date>
    </lom:contribute>
    */
    //import branche 1.1
	function p_abeLOMImportXML_section1($n){
		//ABULEDU_LOG_TRACE
		parent::p_abeLOMImportXML_section1($n);

        foreach ($n->childNodes as $fils) {
            if($fils->nodeType == 3){
                continue;
            }

            $e = $fils;

            //1.1 Identifiant
            if($e->nodeName == $this->m_xmlPrefixLomFr."documentType"){

                foreach ($e->childNodes as $node) {
                    
                    if($node->nodeName == $this->m_xmlPrefixLomFr."value"){
                        $this->abeLOMaddGeneralDocumentType($node->textContent);
                    }
                }
            }     
        }

        return true;
	}

	//import branche 5.12
	function p_abeLOMImportXML_section5($n){
		//ABULEDU_LOG_TRACE
		parent::p_abeLOMImportXML_section5($n);

        foreach ($n->childNodes as $fils) {
            if($fils->nodeType == 3){
                continue;
            }

            $e = $fils;
            //5.12
            if($e->nodeName == $this->m_xmlPrefixLomFr."activity"){
        		foreach ($e->childNodes as $value) {
        			if($value->nodeName == $this->m_xmlPrefixLomFr."value"){
        				$this->abeLOMaddEducationalActivities($value->textContent);
        			}
        		}
            }
          
        }	
	}





	function abeLOMgetGeneralDocumentTypeVocabLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_GeneralDocumentTypeVocabLOMFR;
	}

    /**
      * 2.3.1: Rôle (contribution)
      * @attention extention LOMFR du vocabulaire adapté : contributeur
      * @code
<lom:contribute>
  <lom:role>
    <lom:source>LOMFRv1.0</lom:source>
    <lom:value>contributeur</lom:value>
  </lom:role>
  <lom:entity>BEGIN:VCARD
VERSION:3.0
N:NOM;LePrénom;;;
FN:LePrénom NOM
TEL:01 02 03 04 05
LOGO:http://www.abuledu.org
EMAIL;TYPE=INTERNET:adresse@abuledu.org
NOTE;TYPE=SIREN:000 000 000
ORG:AbulÉdu
URL:
UID:login@abuledu.org
END:VCARD</lom:entity>
  <lom:date>
  <lom:dateTime>2012-04-17</lom:dateTime>
  </lom:date>
</lom:contribute>
      * @endcode
      */
	function abeLOMgetLifeCycleContributionRoleVocabLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_LifeCycleContributionRoleVocabLOMFR;
	}

   /**
      * Retourne les dates des contributions
      * @param role le role en question (attention doit être dans la liste du vocabulaire accepté)
      */
	function abeLOMgetLifeCycleContributionDates($role){
		//ABULEDU_LOG_TRACE

		//liste de date
		$dates;
	    //Et on ajoute les dates dont le role correspond au vocabulaire local
	    //On cherche si role est une valeur
	    $nom_role;

	    if(in_array($role, $this->abeLOMgetLifeCycleContributionRoleVocabLOMFR())){
	    	$nom_role = array_search($role, $this->abeLOMgetLifeCycleContributionRoleVocabLOMFR());
	    }

	    if(array_key_exists($role, $this->abeLOMgetLifeCycleContributionRoleVocabLOMFR())){
	    	$nom_role = $role;
	    }

	    //Si c'est pas dans le vocabulaire local, on passe a la classe au dessus
	    if(is_null($nom_role)){
	    	$dates = parent::abeLOMgetLifeCycleContributionDates($role);
	    }else{
	    	foreach ($this->m_LifeCycleContributions as $ladate => $value) {
	    		if(strstr($ladate, $nomRole)){
	    			$dateTmp = str_replace($nomRole.":", "", $ladate);
	    			array_push($dates, DateTime::createFromFormat("Y-m-d",$dateTmp));
	    		}
	    	}
	    }

	    return $dates;
	}

    /**
      * Ajoute une nouvelle contribution
      */
	function abeLOMaddLifeCycleContributionRole($role, $entity, $ladate){
		//ABULEDU_LOG_TRACE
		$nomRole = array_search($role, $this->abeLOMgetLifeCycleContributionRoleVocabLOMFR());

		//Peut-être qu'on a passé une clé ?
		if(empty($nomRole)){
			if(array_key_exists($role, $this->abeLOMgetLifeCycleContributionRoleVocabLOMFR())){
				$nomRole = $role;
			}
		}

		if(empty($nomRole)){
			return parent::abeLOMaddLifeCycleContributionRole($role, $entity, $ladate);
		}

		return $this->p_abeLOMaddLifeCycleContributionRole($role, $entity, $ladate);

	}

	function abeLOMclearLifeCycleContributionRole(){
		//ABULEDU_LOG_TRACE
		$this->m_LifeCycleContributions = array();
	}

    // ------------------- branche 5
    /**
      * 5.2: Type de ressource pédagogique dans l'idée de Nature pédagogique de la ressouce: learningResourceType
      */
	function abeLOMaddGeneralDocumentType($value){
		//ABULEDU_LOG_TRACE

		if(array_key_exists($value, $this->m_GeneralDocumentTypeVocabLOMFR)){
			if(!in_array("LOMFRv1.0;".$value, $this->m_GeneralDocumentType)){
				array_push($this->m_GeneralDocumentType, "LOMFRv1.0;".$value);
				return true;
			}
		}
		return false;
	}

	function abeLOMgetGeneralDocumentType(){
		//ABULEDU_LOG_TRACE
		return $this->m_GeneralDocumentType;
	}

    /**
      * 5.12: Activités induites: activity
      * @attention cardinalité n
      * @attention vocabulaire LOMFR: animer, apprendre, collaborer, communiquer, coopérer, créer, échanger, lire, observer, organiser, produire, publier, rechercher, s'auto-former, s'exercer, s'informer, se former, simuler, s'évaluer
      * @attention vocabulaire SCOLOMFR: expérimenter
      * @param value valeur (dans le vocabulaire)
      * @note Exemple de code XML qui sera généré:
      * @code
<lomfr:activity>
   <lomfr:source>LOMFRv1.0</lomfr:source>
   <lomfr:value>s'exercer</lomfr:value>
</lomfr:activity>
<lomfr:activity>
   <lomfr:source>LOMFRv1.0</lomfr:source>
   <lomfr:value>simuler</lomfr:value>
</lomfr:activity>
<lomfr:activity>
   <lomfr:source>LOMFRv1.0</lomfr:source>
   <lomfr:value>s'évaluer</lomfr:value>
</lomfr:activity>
      * @endcode
      */
	function abeLOMaddEducationalActivities($value){
		//ABULEDU_LOG_TRACE
		if(array_key_exists($value, $this->m_EducationalActivitiesVocabLOMFR)){
			if(!in_array("LOMFRv1.0;".$value, $this->m_EducationalActivities)){
				array_push($this->m_EducationalActivities, "LOMFRv1.0;".$value);
				return true;
			}
		}
		return false;
	}

	function abeLOMgetEducationalActivities(){
		//ABULEDU_LOG_TRACE
		return $this->m_EducationalActivities;
	}

	function abeLOMgetEducationalActivitiesVocabLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_EducationalActivitiesVocabLOMFR;
	}

	function abeLOMclearEducationalActivities(){
		//ABULEDU_LOG_TRACE
		$this->m_EducationalActivities = array();
	}

    /**
      * 5.13: Validation des acquis, Quantité d'unités d'enseignement ou de crédits obtenues après avoir atteint les objectifs pédagogiques: credit
      * @attention cardinalité n
      * @param value value valeur de type chaine (localisée) de caractères
      * @note Exemple de code XML qui sera généré:
      * @code
<lomfr:credit>du texte</lomfr:credit>
      * @endcode
      */
	function abeLOMaddEducationalValidation($lang, $value){
		//ABULEDU_LOG_TRACE
		if(in_array($lang, $this->abeLOMgetAvailableLanguages())){
			$lang = array_search($lang, $this->abeLOMgetAvailableLanguages());
		}

		if(!array_key_exists($lang, $this->abeLOMgetAvailableLanguages())){
			return false;
		}
		//ABULEDU_LOG_DEBUG

		if(empty($lang) || empty($value)){
			return false;
		}else{
			$this->m_EducationalValidation->add($lang, $value);
			return true;
		}

		return false;
	}

	function abeLOMgetEducationalValidation($lang){
		return $this->m_EducationalValidation->getList($lang);
	}

	function abeLOMclearEducationalValidations(){
		$this->m_EducationalValidation->clear();
	}

	function abeLOMgetEducationalValidationKeys(){
		return $this->m_EducationalValidation->keys();
	}

	function abeLOMaddEducationalLearningResourceType($value){
		//ABULEDU_LOG_TRACE
		if(array_key_exists($value, $this->m_EducationalLearningResourceTypeVocabLOMFR)){
			if(!in_array("LOMFRv1.0;".$value, $this->m_EducationalLearningResourceType)){
				array_push($this->m_EducationalLearningResourceType, "LOMFRv1.0;".$value);
			}
			return true;
		}else{
			return parent::abeLOMaddEducationalLearningResourceType($value);
		}

		return false;
	}

	function abeLOMgetEducationalLearningResourceTypeVocabLOMFR(){
		return $this->m_EducationalLearningResourceTypeVocabLOMFR;
	}

    /**
      * 5.6: Contexte et niveau du public cible: context
      */
	function abeLOMaddEducationalContext($value){
		//ABULEDU_LOG_TRACE(spe)
		if(in_array($value, $this->m_EducationalContextVocabLOMFR)){
			$value = array_search($value, $this->m_EducationalContextVocabLOMFR);
		}

		if(array_key_exists($value, $this->m_EducationalContextVocabLOMFR)){
			if(!in_array("LOMFRv1.0;".$value, $this->m_EducationalContext)){
				array_push($this->m_EducationalContext, "LOMFRv1.0;".$value);
			}
			return true;
		}else{
			return parent::abeLOMaddEducationalContext($value);
		}
	}

	function abeLOMgetEducationalContextVocabLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_EducationalContextVocabLOMFR;
	}

	function abeLOMclearEducationalContext(){
		$this->m_EducationalContext = array();
	}

    // ------------------- branche 7
    /**
      * 7.1: Nature de la relation : kind
      */
	function abeLOMsetRelationKind($value){
		//ABULEDU_LOG_TRACE(spe)

		if(array_key_exists($value, $this->m_RelationKindVocabLOMFR)){
			$this->m_RelationKind = "LOMFRv1.0;".$value;
			return true;
		}else{
			return parent::abeLOMsetRelationKind($value);
		}
	}

    function abeLOMaddRelation($type, $catalogue, $entree, $description){

        if(array_key_exists($type, $this->m_RelationKindVocabLOMFR)){
            $type = $this->m_RelationKindVocabLOMFR[$type];
        }

        if(in_array($type, $this->m_RelationKindVocabLOMFR)){
            if(!array_key_exists("LOMFRv1.0;".$type, $this->m_Relation)){
                $this->m_Relation["LOMFRv1.0;".$type] = array();
                $this->m_Relation["LOMFRv1.0;".$type]["catalogue"] = $catalogue;
                $this->m_Relation["LOMFRv1.0;".$type]["entree"] = $entree;
                $this->m_Relation["LOMFRv1.0;".$type]["description"] = $description;

                /*foreach ($description as $value) {
                    array_push($this->m_Relation["LOMFRv1.0;".$type]["description"], $value);                    
                }*/

            }
            return true;
        }else{
        	//On passe au parent
        	return parent::abeLOMaddRelation($type, $catalogue, $entree, $description);
        }
    }

	function abeLOMgetRelationKindVocabLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_RelationKindVocabLOMFR;
	}

	/* definition du vocabulaire vide ... on garde au cas ou
	bool AbulEduLOMFrV1::abeLOMaddClassificationPurpose(QString purpose, QString source, QString id, QString entry)
	{
	    implémentation à écrire, mais l'idée c'est de regarder si le vocabulaire vient de ScoLOMFRV1, auquel cas on transmet,
	    de regarder s'il vient d'ici, auquel cas on ajoute un préfixe LOMFRv1, de transmettre dans les deux autres cas
	    dans tous les cas, on appelle la fonction éponyme de AbuleEduLOMv1
	} */
    // ------------------- branche 9 : Classification
    /**
      * 9: Classification, ctte catégorie décrit où cette ressource se trouve dans un système de classification particulier: classification. Cardinalité n
      * 9.1: Objectif: purpose
      */
	function abeLOMgetClassificationPurposeVocabLOMFR(){
		return $this->m_ClassificationPurposeVocabLOMFR();
	}

	// ------------------- branche 1
    protected $m_GeneralDocumentType;
    protected $m_GeneralDocumentTypeVocabLOMFR;

    // ------------------- branche 2
    protected $m_LifeCycleContributionRoleVocabLOMFR;

    // ------------------- branche 5
    protected $m_EducationalActivities;
    protected $m_EducationalActivitiesVocabLOMFR;
    protected $m_EducationalValidation;
    protected $m_EducationalLearningResourceTypeVocabLOMFR;
    protected $m_EducationalContextVocabLOMFR;

    // ------------------- branche 7
    protected $m_RelationKindVocabLOMFR;

    // ------------------- branche 9
    protected $m_ClassificationPurposeVocabLOMFR;
}
?>