<?php 
/** Classe AbulEduSCOLOMFrV1
  * @see https://redmine.ryxeo.com/projects/ryxeo/wiki/Format_LOM_LOMFR_ScoLOMFR
  * @see http://www.lom-fr.fr/lomfr-unt/unisciel/modeles-de-fiche/LOMFRTemplate-Unisciel-v1.0-complet.xml/view
  *
  * @author 2011-2012 Eric Seigne <eric.seigne@ryxeo.com>
  * @author 2012 Jean-Louis Frucot <frucot.jeanlouis@free.fr>
  * @see The GNU Public License (GNU/GPL) v3
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
  * for more details.
  *
  * You should have received a copy of the GNU General Public License along
  * with this program. If not, see <http://www.gnu.org/licenses/>.
  */
include 'abuledulomfrv1.php';


class AbulEduSCOLOMFrV1 extends AbulEduLOMFrV1{
	function __construct(){

		parent::__construct();
		$this->m_xmlPrefixScoLomFr = "scolomfr:";

		//1.10
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR = array();
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR[""] = "Non renseignée";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["annuaire"] = "annuaire";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["article"] = "article";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["atlas"] = "atlas";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["banque de vidéos"] = "banque de vidéos";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["banque d'images"] = "banque d'images";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["base de données"] = "base de données";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["bibliographie/sitographie"] = "bibliographie/sitographie";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["carte"] = "carte";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["carte heuristique et conceptuelle"] = "carte heuristique et conceptuelle";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["chronologie"] = "chronologie";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["collection de documents"] = "collection de documents";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["collection de données"] = "collection de données";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["compte rendu"] = "compte rendu";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["conférence"] = "conférence";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["diaporama"] = "diaporama";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["dossier technique"] = "dossier technique";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["feuille de calcul"] = "feuille de calcul";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["image numérique"] = "image numérique";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["livre numérique"] = "livre numérique";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["maquette/prototype"] = "maquette/prototype";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["norme"] = "norme";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["jeu de données"] = "jeu de données";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["note"] = "note";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["objet"] = "objet";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["objet 3D"] = "objet 3D";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["ouvrage"] = "ouvrage";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["partition"] = "partition";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["photographie"] = "photographie";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["podcast"] = "podcast";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["présentation multimédia"] = "présentation multimédia";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["programme scolaire"] = "programme scolaire";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["rapport"] = "rapport";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["référentiel de compétences"] = "référentiel de compétences";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["schéma/graphique"] = "schéma/graphique";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["site web"] = "site web";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["tableau"] = "tableau";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["web média"] = "web média";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["bande dessinée"] = "bande dessinée";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["biographie"] = "biographie";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["dossier documentaire"] = "dossier documentaire";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["exposition"] = "exposition";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["film"] = "film";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["objet physique"] = "objet physique";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["partition musicale"] = "partition musicale";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["périodique"] = "périodique";
		$this->m_GeneralDocumentTypologyVocabSCOLOMFR["tableau (art)"] = "tableau (art)";

		//2.3.1
		//$this->m_LifeCycleContributionRoleVocabLOM = array();
		//$this->m_LifeCycleContributionRoleVocabLOM["diffuseur/distributeur"] = "diffuseur/distributeur";

		//5.2
		$this->m_EducationalLearningResourceTypeVocabSCOLOMFR = array();
		$this->m_EducationalLearningResourceTypeVocabSCOLOMFR[""] = "Non renseigné";
		$this->m_EducationalLearningResourceTypeVocabSCOLOMFR["étude de cas"] = "étude de cas";
		$this->m_EducationalLearningResourceTypeVocabSCOLOMFR["jeu éducatif"] = "jeu éducatif";
		$this->m_EducationalLearningResourceTypeVocabSCOLOMFR["manuel d'enseignement"] = "manuel d'enseignement";
		$this->m_EducationalLearningResourceTypeVocabSCOLOMFR["production d'élève"] = "production d'élève";
		$this->m_EducationalLearningResourceTypeVocabSCOLOMFR["annales"] = "annales";
		$this->m_EducationalLearningResourceTypeVocabSCOLOMFR["cyberquête"] = "cyberquête";
		$this->m_EducationalLearningResourceTypeVocabSCOLOMFR["méthode de langues"] = "méthode de langues";
		$this->m_EducationalLearningResourceTypeVocabSCOLOMFR["témoignage pédagogique"] = "témoignage pédagogique";

		//5.12
		$this->m_EducationalActivitiesVocabSCOLOMFR = array();
		$this->m_EducationalActivitiesVocabSCOLOMFR[""] = "Non renseignée";
		$this->m_EducationalActivitiesVocabSCOLOMFR["expérimenter"] = "expérimenter";

		//5.14
		$this->m_EducationalLocationVocabSCOLOMFR = array();
		$this->m_EducationalLocationVocabSCOLOMFR[""] = "Non renseigné";
		$this->m_EducationalLocationVocabSCOLOMFR["en amphithéâtre"] = "en amphithéâtre";
		$this->m_EducationalLocationVocabSCOLOMFR["en atelier"] = "en atelier";
		$this->m_EducationalLocationVocabSCOLOMFR["en atelier de pédagogie personnalisée"] = "en atelier de pédagogie personnalisée";
		$this->m_EducationalLocationVocabSCOLOMFR["en CDI"] = "en CDI";
		$this->m_EducationalLocationVocabSCOLOMFR["en salle de classe"] = "en salle de classe";
		$this->m_EducationalLocationVocabSCOLOMFR["en établissement"] = "en établissement";
		$this->m_EducationalLocationVocabSCOLOMFR["espace dédié à une pratique spécifique"] = "espace dédié à une pratique spécifique";
		$this->m_EducationalLocationVocabSCOLOMFR["en établissement socioculturel"] = "en établissement socioculturel";
		$this->m_EducationalLocationVocabSCOLOMFR["en bibliothèque médiathèque"] = "en bibliothèque médiathèque";
		$this->m_EducationalLocationVocabSCOLOMFR["en musée"] = "en musée";
		$this->m_EducationalLocationVocabSCOLOMFR["hors établissement"] = "hors établissement";
		$this->m_EducationalLocationVocabSCOLOMFR["en installation de loisirs"] = "en installation de loisirs";
		$this->m_EducationalLocationVocabSCOLOMFR["en installation sportive"] = "en installation sportive";
		$this->m_EducationalLocationVocabSCOLOMFR["en laboratoire"] = "en laboratoire";
		$this->m_EducationalLocationVocabSCOLOMFR["en laboratoire de langues"] = "en laboratoire de langues";
		$this->m_EducationalLocationVocabSCOLOMFR["en milieu familial"] = "en milieu familial";
		$this->m_EducationalLocationVocabSCOLOMFR["en milieu professionnel"] = "en milieu professionnel";
		$this->m_EducationalLocationVocabSCOLOMFR["en entreprise"] = "en entreprise";
		$this->m_EducationalLocationVocabSCOLOMFR["non précisé"] = "non précisé";
		$this->m_EducationalLocationVocabSCOLOMFR["en salle informatique"] = "en salle informatique";
		$this->m_EducationalLocationVocabSCOLOMFR["en salle multimédia"] = "en salle multimédia";
		$this->m_EducationalLocationVocabSCOLOMFR["en mobilité"] = "en mobilité";

		//5.15
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR = array();
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR[""] = "Non renseignée";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["PAC"] = "PAC";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["partenariat électronique interécoles"] = "partenariat électronique interécoles";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["projets interétablissement"] = "projets interétablissement";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["liaison primaire-collège"] = "liaison primaire-collège";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["liaison collège-lycée"] = "liaison collège-lycée";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["séjour pédagogique"] = "séjour pédagogique";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["sortie culturelle"] = "sortie culturelle";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["spectacle"] = "spectacle";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["sortie pédagogique"] = "sortie pédagogique";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["TIPE"] = "TIPE";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["TPE"] = "TPE";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["travail de recherche"] = "travail de recherche";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["travail en interdisciplinarité"] = "travail en interdisciplinarité";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["IDD"] = "IDD";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["PPCP"] = "PPCP";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["travaux dirigés"] = "travaux dirigés";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["travaux pratiques"] = "travaux pratiques";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["à distance"] = "à distance";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["aide didactique"] = "aide didactique";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["aide didactique individualisée"] = "aide didactique individualisée";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["échange pédagogique de classes"] = "échange pédagogique de classes";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["en alternance"] = "en alternance";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["en autonomie"] = "en autonomie";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["en classe entière"] = "en classe entière";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["en collaboration"] = "en collaboration";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["en entreprise"] = "en entreprise";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["PFMP (CAP)"] = "PFMP (CAP)";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["PFE (BTS)"] = "PFE (BTS)";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["visite d'entreprise"] = "visite d'entreprise";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["en groupe"] = "en groupe";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["en groupe de compétences"] = "en groupe de compétences";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["en ligne"] = "en ligne";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["étude dirigée"] = "étude dirigée";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["modalité mixte"] = "modalité mixte";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["en milieu professionel"] = "en milieu professionel";
		$this->m_EducationalPedagogicModalityVocabSCOLOMFR["en tutorat"] = "en tutorat";


		//5.16
		$this->m_EducationalToolsVocabSCOLOMFR = array();
		$this->m_EducationalToolsVocabSCOLOMFR[""] = "Non renseigné";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciels RIP"] = "logiciels RIP";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel système et de programmation"] = "logiciel système et de programmation";
		$this->m_EducationalToolsVocabSCOLOMFR["système d'exploitation"] = "système d'exploitation";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de développement d'application"] = "logiciel de développement d'application";
		$this->m_EducationalToolsVocabSCOLOMFR["navigateurs Web"] = "navigateurs Web";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel d'application"] = "logiciel d'application";
		$this->m_EducationalToolsVocabSCOLOMFR["didacticiel"] = "didacticiel";
		$this->m_EducationalToolsVocabSCOLOMFR["exerciseur"] = "exerciseur";
		$this->m_EducationalToolsVocabSCOLOMFR["suite bureautique"] = "suite bureautique";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel d'aide à l'orientation"] = "logiciel d'aide à l'orientation";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel d'animation 2D"] = "logiciel d'animation 2D";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel d'animation 3D"] = "logiciel d'animation 3D";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de communication et d'échange"] = "logiciel de communication et d'échange";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de dessin assisté par ordinateur"] = "logiciel de dessin assisté par ordinateur";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de gestion de contenu"] = "logiciel de gestion de contenu";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de gestion de projet"] = "logiciel de gestion de projet";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de messagerie"] = "logiciel de messagerie";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de montage vidéo"] = "logiciel de montage vidéo";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de présentation"] = "logiciel de présentation";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de recherche documentaire"] = "logiciel de recherche documentaire";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de traitement de son"] = "logiciel de traitement de son";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de traitement de tableaux et calculs"] = "logiciel de traitement de tableaux et calculs";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de traitement de texte"] = "logiciel de traitement de texte";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de traitement d'enquête"] = "logiciel de traitement d'enquête";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de traitement d'image fixe"] = "logiciel de traitement d'image fixe";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de traitement vidéo"] = "logiciel de traitement vidéo";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel de travail collaboratif"] = "logiciel de travail collaboratif";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel d'édition Web"] = "logiciel d'édition Web";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel d'image de synthèse"] = "logiciel d'image de synthèse";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel organisateur des idées"] = "logiciel organisateur des idées";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel ou application de lecture"] = "logiciel ou application de lecture";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel PAO"] = "logiciel PAO";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel d’édition et de gestion d’exercices"] = "logiciel d’édition et de gestion d’exercices";
		$this->m_EducationalToolsVocabSCOLOMFR["logiciel text-to-speech"] = "logiciel text-to-speech";
		$this->m_EducationalToolsVocabSCOLOMFR["moteur de recherche"] = "moteur de recherche";
		$this->m_EducationalToolsVocabSCOLOMFR["outil blogue"] = "outil blogue";
		$this->m_EducationalToolsVocabSCOLOMFR["outil de mise en ligne"] = "outil de mise en ligne";
		$this->m_EducationalToolsVocabSCOLOMFR["outil de modélisation"] = "outil de modélisation";
		$this->m_EducationalToolsVocabSCOLOMFR["outil d'encodage"] = "outil d'encodage";
		$this->m_EducationalToolsVocabSCOLOMFR["SGBD"] = "SGBD";
		$this->m_EducationalToolsVocabSCOLOMFR["SIG"] = "SIG";
		$this->m_EducationalToolsVocabSCOLOMFR["matériel"] = "matériel";
		$this->m_EducationalToolsVocabSCOLOMFR["appareil photographique"] = "appareil photographique";
		$this->m_EducationalToolsVocabSCOLOMFR["baladeur"] = "baladeur";
		$this->m_EducationalToolsVocabSCOLOMFR["borne informatique"] = "borne informatique";
		$this->m_EducationalToolsVocabSCOLOMFR["calculatrice"] = "calculatrice";
		$this->m_EducationalToolsVocabSCOLOMFR["camescope"] = "camescope";
		$this->m_EducationalToolsVocabSCOLOMFR["classe mobile"] = "classe mobile";
		$this->m_EducationalToolsVocabSCOLOMFR["écran tactile"] = "écran tactile";
		$this->m_EducationalToolsVocabSCOLOMFR["machine à commande numérique"] = "machine à commande numérique";
		$this->m_EducationalToolsVocabSCOLOMFR["matériel de lecture livre numérique"] = "matériel de lecture livre numérique";
		$this->m_EducationalToolsVocabSCOLOMFR["ordinateur"] = "ordinateur";
		$this->m_EducationalToolsVocabSCOLOMFR["outil de microscopie"] = "outil de microscopie";
		$this->m_EducationalToolsVocabSCOLOMFR["PDA"] = "PDA";
		$this->m_EducationalToolsVocabSCOLOMFR["rétroprojecteur"] = "rétroprojecteur";
		$this->m_EducationalToolsVocabSCOLOMFR["tablette informatique"] = "tablette informatique";
		$this->m_EducationalToolsVocabSCOLOMFR["TBI"] = "TBI";
		$this->m_EducationalToolsVocabSCOLOMFR["vidéoprojecteur"] = "vidéoprojecteur";
		$this->m_EducationalToolsVocabSCOLOMFR["outil de compensation"] = "outil de compensation";
		$this->m_EducationalToolsVocabSCOLOMFR["ressource d'information"] = "ressource d'information";
		$this->m_EducationalToolsVocabSCOLOMFR["atlas"] = "atlas";
		$this->m_EducationalToolsVocabSCOLOMFR["base de données"] = "base de données";
		$this->m_EducationalToolsVocabSCOLOMFR["carte heuristique"] = "carte heuristique";
		$this->m_EducationalToolsVocabSCOLOMFR["cédérom"] = "cédérom";
		$this->m_EducationalToolsVocabSCOLOMFR["dictionnaire"] = "dictionnaire";
		$this->m_EducationalToolsVocabSCOLOMFR["glossaire"] = "glossaire";
		$this->m_EducationalToolsVocabSCOLOMFR["documentation technique"] = "documentation technique";
		$this->m_EducationalToolsVocabSCOLOMFR["encyclopédie"] = "encyclopédie";
		$this->m_EducationalToolsVocabSCOLOMFR["ENT"] = "ENT";
		$this->m_EducationalToolsVocabSCOLOMFR["podcast"] = "podcast";
	
		//7.1
		$this->m_RelationKindVocabSCOLOMFR = array();
		$this->m_RelationKindVocabSCOLOMFR["a pour vignette"] = "a pour vignette";
		$this->m_RelationKindVocabSCOLOMFR["a pour logo"] = "a pour logo";
		$this->m_RelationKindVocabSCOLOMFR["a pour aperçu"] = "a pour aperçu";
		$this->m_RelationKindVocabSCOLOMFR["est l'aperçu de"] = "est l'aperçu de";

		//9.1
		$this->m_ClassificationPurposeVocabSCOLOMFR = array();
		/* scolomfr-voc-028-num-013 */
		$this->m_ClassificationPurposeVocabSCOLOMFR["label"] = "label";
		/* scolomfr-voc-028-num-014 */
		$this->m_ClassificationPurposeVocabSCOLOMFR["type de diffusion"] = "type de diffusion";
		/* scolomfr-voc-028-num-004 */
		$this->m_ClassificationPurposeVocabSCOLOMFR["enseignement"] = "enseignement";
		/* d'où ça sort, ça ... est-ce "competency" scolomfr-voc-028-num-002 ? */
		$this->m_ClassificationPurposeVocabSCOLOMFR["compétences du socle commun"] = "compétences du socle commun";
		/* scolomfr-voc-028-num-011 */
		$this->m_ClassificationPurposeVocabSCOLOMFR["public cible détaillé"] = "public cible détaillé";
		/* scolomfr-voc-028-num-003 */
		$this->m_ClassificationPurposeVocabSCOLOMFR["domaine d'enseignement"] = "domaine d'enseignement";
	    
	    //Attention vocabulaires actualises le 9.12.2012 ... exemple
	    //http://www.lom-fr.fr/scolomfr/fileadmin/user_upload/fiches_vocabulaire/scolomfr-voc-022_VDEX.xml

	    $this->m_GeneralDocumentTypology = array();
	
	    $this->m_EducationalLocation = array();
	    
	    $this->m_EducationalPedagogicModality = array();
	    
	    $this->m_EducationalTools = array();

	    
	}	

	function __destruct(){

	}

	/** Exporte comme structure XML */
	function abeLOMExportAsXML(){
		//ABULEDU_LOG_TRACE
		$this->p_abeLOMExportAsXML_header();
		$this->p_abeLOMExportAsXML_section1();
		$this->p_abeLOMExportAsXML_section2();
		$this->p_abeLOMExportAsXML_section3();
		$this->p_abeLOMExportAsXML_section4();
		$this->p_abeLOMExportAsXML_section5();
		$this->p_abeLOMExportAsXML_section6();
		$this->p_abeLOMExportAsXML_section7();
		$this->p_abeLOMExportAsXML_section8();
		$this->p_abeLOMExportAsXML_section9();


		//ABULEDU_LOG_DEBUG
		return $this->m_domDocument;		
	}

    // ------------------- branche 5
    /**
      * 5.2: Type de ressource pédagogique dans l'idée de Nature pédagogique de la ressouce: learningResourceType
      */
	function abeLOMaddEducationalLearningResourceType($value){
		//ABULEDU_LOG_TRACE
		if(array_key_exists($value, $this->m_EducationalLearningResourceTypeVocabSCOLOMFR)){
			if(!in_array("ScoLOMFRv1.0;".$value, $this->m_EducationalLearningResourceType)){
				array_push($this->m_EducationalLearningResourceType, "ScoLOMFRv1.0;".$value);
			}
			return true;
		}else{
			return parent::abeLOMaddEducationalLearningResourceType($value);
		}
	}

	function abeLOMgetEducationalLearningResourceTypeVocabSCOLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_EducationalLearningResourceTypeVocabSCOLOMFR;
	}

	function abeLOMclearEducationalLearningResourceType(){
		//ABULEDU_LOG_TRACE
		$this->m_EducationalLearningResourceType = array();
	}

    // ------------------- branche 1
    /**
      * 1.10: Typologie générale de documents
      * @attention cardinalité n
      * @attention utiliser le vocabulaire adapté : annuaire; article; atlas; banque de vidéos; banque d'images; base de données; bibliographie/sitographie; carte; carte heuristique et conceptuelle; chronologie; collection de documents; collection de données; compte rendu; conférence; diaporama; dossier technique; feuille de calcul; image numérique; livre numérique; maquette/prototype; norme; jeu de données; note; objet; objet 3D; ouvrage; partition; photographie; podcast; présentation multimédia; programme scolaire; rapport; référentiel de compétences; schéma/graphique; site web; tableau; web média; bande dessinée; biographie; dossier documentaire; exposition; film; objet physique; partition musicale; périodique; tableau (art)
      * @param value du type de document (dans un vocabulaire)
      * @see http://www.lom-fr.fr/scolomfr/outils/xsd/scolomfrv11/scolomfr/scolomfrvocabvaluesxsd.html
      * @note Exemple de code XML qui sera généré:
      * @code
<scolomfr:generalResourceType>
  <scolomfr:source>ScoLOMFRv1.1</scolomfr:source>
  <scolomfr:value>collection de documents</scolomfr:value>
</scolomfr:generalResourceType>
<scolomfr:generalResourceType>
  <scolomfr:source>ScoLOMFRv1.1</scolomfr:source>
  <scolomfr:value>programme scolaire</scolomfr:value>
</scolomfr:generalResourceType>
      * @endcode
      */
	function abeLOMgetGeneralDocumentTypologyVocabSCOLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_GeneralDocumentTypologyVocabSCOLOMFR;
	}

	function abeLOMclearGeneralDocumentTypology(){
		//ABULEDU_LOG_TRACE
		$this->m_GeneralDocumentTypology = array();
	}

	function abeLOMaddGeneralDocumentTypology($value){
		//ABULEDU_LOG_TRACE
		if(!array_key_exists($value, $this->m_GeneralDocumentTypologyVocabSCOLOMFR)){
			return false;
		}

		if(array_key_exists($value, $this->m_GeneralDocumentTypologyVocabSCOLOMFR)){
			if(!in_array("ScoLOMFRv1.0;".$value, $this->m_GeneralDocumentTypology)){
				array_push($this->m_GeneralDocumentTypology, "ScoLOMFRv1.0;".$value);
			}
			return true;
		}

		return false;
	}

	function abeLOMgetGeneralDocumentTypology(){
		//ABULEDU_LOG_TRACE
		return $this->m_GeneralDocumentTypology;
	}

    /**
      * 5.14: Lieu: place
      * @attention cardinalité n
      * @attention utiliser le vocabulaire adapté SCOLOMFR: en amphithéâtre, en atelier, en atelier de pédagogie personnalisée, en CDI, en salle de classe, en établissement, espace dédié à une pratique spécifique, en établissement socioculturel, en bibliothèque médiathèque, en musée, hors établissement, en installation de loisirs, en installation sportive, en laboratoire, en laboratoire de langues, en milieu familial, en milieu professionnel, en entreprise, non précisé, en salle informatique, en salle multimédia, en mobilité
      * @param value du type de document (dans un vocabulaire)
      * @see http://www.lom-fr.fr/scolomfr/outils/xsd/scolomfrv11/scolomfr/scolomfrvocabvaluesxsd.html
      * @note Exemple de code XML qui sera généré:
      * @code
<scolomfr:place>
   <scolomfr:source>ScoLOMFRv1.0</scolomfr:source>
   <scolomfr:value>en milieu familial</scolomfr:value>
</scolomfr:place>
<scolomfr:place>
   <scolomfr:source>ScoLOMFRv1.0</scolomfr:source>
   <scolomfr:value>en CDI</scolomfr:value>
</scolomfr:place>
      * @endcode
      */
	function abeLOMaddEducationalLocation($value){
		//ABULEDU_LOG_TRACE
		if(!array_key_exists($value, $this->m_EducationalLocationVocabSCOLOMFR)){
			return false;
		}

		if(array_key_exists($value, $this->m_EducationalLocationVocabSCOLOMFR)){
			if(!in_array("ScoLOMFRv1.0;".$value, $this->m_EducationalLocation)){
				array_push($this->m_EducationalLocation, "ScoLOMFRv1.0;".$value);
			}
			return true;
		}

		return false;			
	}

	function abeLOMgetEducationalLocation(){
		//ABULEDU_LOG_TRACE
		return $this->m_EducationalLocation;
	}

	function abeLOMgetEducationalLocationVocabSCOLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_EducationalLocationVocabSCOLOMFR;
	}

	function abeLOMclearEducationalLocation(){
		//ABULEDU_LOG_TRACE
		$this->m_EducationalLocation = array();
	}


    /**
      * 5.15: Modalités pédagogiques: EducationalMethod
      * @attention cardinalité n
      * @attention utiliser le vocabulaire adapté SCOLOMFR: PAC, partenariat électronique interécoles, projets interétablissement, liaison primaire-collège, liaison collège-lycée, séjour pédagogique, sortie culturelle, spectacle, sortie pédagogique, TIPE, TPE, travail de recherche, travail en interdisciplinarité, IDD, PPCP, travaux dirigés, travaux pratiques, à distance, aide didactique, aide didactique individualisée, échange pédagogique de classes, en alternance, en autonomie, en classe entière, en collaboration, en entreprise, PFMP (CAP), PFE (BTS), visite d'entreprise, en groupe, en groupe de compétences, en ligne, étude dirigée, modalité mixte, en milieu professionel, en tutorat
      * @param value du type de document (dans un vocabulaire)
      * @see http://www.lom-fr.fr/scolomfr/outils/xsd/scolomfrv11/scolomfr/scolomfrvocabvaluesxsd.html
      * @note Exemple de code XML qui sera généré:
      * @code
<scolomfr:educationalMethod>
   <scolomfr:source>ScoLOMFRv1.0</scolomfr:source>
   <scolomfr:value>en autonomie</scolomfr:value>
</scolomfr:educationalMethod>
<scolomfr:educationalMethod>
   <scolomfr:source>ScoLOMFRv1.0</scolomfr:source>
   <scolomfr:value>en classe entière</scolomfr:value>
</scolomfr:educationalMethod>
<scolomfr:educationalMethod>
   <scolomfr:source>ScoLOMFRv1.0</scolomfr:source>
   <scolomfr:value>etude dirigée</scolomfr:value>
</scolomfr:educationalMethod>
      * @endcode
      */
	function abeLOMaddEducationalPedagogicModality($value){
		//ABULEDU_LOG_TRACE
		if(!array_key_exists($value, $this->m_EducationalPedagogicModalityVocabSCOLOMFR)){
			return false;
		}

		if(array_key_exists($value, $this->m_EducationalPedagogicModalityVocabSCOLOMFR)){
			if(!in_array("ScoLOMFRv1.0;".$value, $this->m_EducationalPedagogicModality)){
				array_push($this->m_EducationalPedagogicModality, "ScoLOMFRv1.0;".$value);
			}
			return true;
		}

		return false;		
	}

	function abeLOMgetEducationalPedagogicModality(){
		//ABULEDU_LOG_TRACE
		return $this->m_EducationalPedagogicModality;
	}

	function abeLOMgetEducationalPedagogicModalityVocabSCOLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_EducationalPedagogicModalityVocabSCOLOMFR;
	}

	function abeLOMclearEducationalPedagogicModality(){
		//ABULEDU_LOG_TRACE
		$this->m_EducationalPedagogicModality = array();
	}

    /**
      * 5.16: Outils: Tool
      * @attention cardinalité n
      * @attention utiliser le vocabulaire adapté SCOLOMFR: logiciels RIP, logiciel système et de programmation, système d'exploitation, logiciel de développement d'application, navigateurs Web, logiciel d'application, didacticiel, exerciseur, suite bureautique, logiciel d'aide à l'orientation, logiciel d'animation 2D, logiciel d'animation 3D, logiciel de communication et d'échange, logiciel de dessin assisté par ordinateur, logiciel de gestion de contenu, logiciel de gestion de projet, logiciel de messagerie, logiciel de montage vidéo, logiciel de présentation, logiciel de recherche documentaire, logiciel de traitement de son, logiciel de traitement de tableaux et calculs, logiciel de traitement de texte, logiciel de traitement d'enquête, logiciel de traitement d'image fixe, logiciel de traitement vidéo, logiciel de travail collaboratif, logiciel d'édition Web, logiciel d'image de synthèse, logiciel organisateur des idées, logiciel ou application de lecture, logiciel PAO, logiciel d’édition et de gestion d’exercices, logiciel text-to-speech, moteur de recherche, outil blogue, outil de mise en ligne, outil de modélisation, outil d'encodage, SGBD, SIG, matériel, appareil photographique, baladeur, borne informatique, calculatrice, camescope, classe mobile, écran tactile, machine à commande numérique, matériel de lecture livre numérique, ordinateur, outil de microscopie, PDA, rétroprojecteur, tablette informatique, TBI, vidéoprojecteur, outil de compensation, ressource d'information, atlas, base de données, carte heuristique, cédérom, dictionnaire, glossaire, documentation technique, encyclopédie, ENT, podcast
      * @param value du type de document (dans un vocabulaire)
      * @see http://www.lom-fr.fr/scolomfr/outils/xsd/scolomfrv11/scolomfr/scolomfrvocabvaluesxsd.html
      * @note Exemple de code XML qui sera généré:
      * @code
<scolomfr:tool>
   <scolomfr:source>ScoLOMFRv1.0</scolomfr:source>
   <scolomfr:value>vidéoprojecteur</scolomfr:value>
</scolomfr:tool>
<scolomfr:tool>
   <scolomfr:source>ScoLOMFRv1.0</scolomfr:source>
   <scolomfr:value>TBI</scolomfr:value>
</scolomfr:tool>
<scolomfr:tool>
   <scolomfr:source>ScoLOMFRv1.0</scolomfr:source>
   <scolomfr:value>ENT</scolomfr:value>
</scolomfr:tool>
<scolomfr:tool>
   <scolomfr:source>ScoLOMFRv1.0</scolomfr:source>
   <scolomfr:value>exerciseur</scolomfr:value>
</scolomfr:tool>
      * @endcode
      */
	function abeLOMaddEducationalTools($value){
		//ABULEDU_LOG_TRACE
		if(!array_key_exists($value, $this->m_EducationalToolsVocabSCOLOMFR)){
			return false;
		}

		if(array_key_exists($value, $this->m_EducationalToolsVocabSCOLOMFR)){
			if(!in_array("ScoLOMFRv1.0;".$value, $this->m_EducationalTools)){
				array_push($this->m_EducationalTools, "ScoLOMFRv1.0;".$value);
			}
			return true;
		}

		return false;		
	}

	function abeLOMgetEducationalTools(){
		//ABULEDU_LOG_TRACE
		return $this->m_EducationalTools;
	}

	function abeLOMgetEducationalToolsVocabSCOLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_EducationalToolsVocabSCOLOMFR;
	}

	function abeLOMclearEducationalTools(){
		//ABULEDU_LOG_TRACE
		$this->m_EducationalTools = array();
	}

    // ------------------- branche 7 : relations
    /**
      * 7.1: Nature de la relation : kind
      */
	function abeLOMsetRelationKind($value){
		//ABULEDU_LOG_TRACE
		if(array_key_exists($value, $this->m_RelationKindVocabSCOLOMFR)){
				$this->m_RelationKind = "ScoLOMFRv1.0;".$value;
			return true;
		}else{
			return parent::abeLOMsetRelationKind($value);
		}
		return false;
	}

    function abeLOMaddRelation($type, $catalogue, $entree, $description){

        if(array_key_exists($type, $this->m_RelationKindVocabSCOLOMFR)){
            $type = $this->m_RelationKindVocabSCOLOMFR[$type];
        }
        if(in_array($type, $this->m_RelationKindVocabSCOLOMFR)){

            if(!array_key_exists("ScoLOMFRv1.0;".$type, $this->m_Relation)){
                $this->m_Relation["ScoLOMFRv1.0;".$type] = array();
                $this->m_Relation["ScoLOMFRv1.0;".$type]["catalogue"] = $catalogue;
                $this->m_Relation["ScoLOMFRv1.0;".$type]["entree"] = $entree;
                $this->m_Relation["ScoLOMFRv1.0;".$type]["description"] = $description;
            }
            return true;
        }else{
        	//On passe au parent
        	return parent::abeLOMaddRelation($type, $catalogue, $entree, $description);
        }     
    }

	function abeLOMgetRelationKindVocabSCLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_RelationKindVocabSCOLOMFR;
	}

    // ------------------- branche 9 : Classification
    /**
      * 9: Classification, cette catégorie décrit où cette ressource se trouve dans un système de classification particulier: classification. Cardinalité n
      * 9.1: Objectif: purpose
      */
	function abeLOMaddClassificationPurpose($purpose, $sourceTaxonPath, $idTaxon, $entryTaxon){
		//ABULEDU_LOG_TRACE
		$aocPurpose = $purpose;

		if(array_key_exists($purpose, $this->m_ClassificationPurposeVocabSCOLOMFR)){
			$aocPurpose =  "ScoLOMFRv1.0;" .$purpose;
		}

		return parent::abeLOMaddClassificationPurpose($aocPurpose, $sourceTaxonPath, $idTaxon, $entryTaxon);
	}

	function abeLOMgetClassificationPurposeVocabSCOLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_ClassificationPurposeVocabSCOLOMFR;
	}

    /**
      * 5.12: Activités induites: activity
      */
	function abeLOMgetEducationalActivitiesVocabSCOLOMFR(){
		//ABULEDU_LOG_TRACE
		return $this->m_EducationalActivitiesVocabSCOLOMFR;
	}

	function abeLOMaddEducationalActivities($value){
		//ABULEDU_LOG_TRACE(spe)
		$retour = false;
		if(array_key_exists($value, $this->m_EducationalActivitiesVocabSCOLOMFR)){
			if(!in_array("ScoLOMFRv1.0;".$value, $this->m_EducationalActivities)){
				array_push( $this->m_EducationalActivities, "ScoLOMFRv1.0;".$value);
			}
			$retour =  true;
		}else{
			$retour = parent::abeLOMaddEducationalActivities($value);
		}

		//ABULEDU_LOG_DEBUG
		return $retour;
	}

    /**
      * Exporte l'entête du fichier XML
      *
      * @note Exemple de code XML qui sera généré:
      * @code
<?xml version="1.0" encoding="UTF-8"?>
<lomfr:lom xmlns:lomfr="http://www.lom-fr.fr/xsd/LOMFR"
           xmlns:lom="http://ltsc.ieee.org/xsd/LOM"
           xmlns:scolomfr="http://www.lom-fr.fr/xsd/SCOLOMFR">
      * @endcode
      */
	function p_abeLOMExportAsXML_header(){
		$this->m_domDocument = new DOMDocument('1.0', 'UTF-8');
        $this->m_domDocument->preserveWhiteSpace = false;
        $this->m_domDocument->formatOutput = true;


        $officeDocContent = $this->m_domDocument->createElementNS("http://ltsc.ieee.org/xsd/LOM", "lomfr:lom");

	    $officeDocContent->setAttribute("xmlns:lom","http://ltsc.ieee.org/xsd/LOM");
	    $officeDocContent->setAttribute("xmlns:lomfr","http://www.lom-fr.fr/xsd/LOMFR");
	    $officeDocContent->setAttribute("xmlns:scolomfr","http://www.lom-fr.fr/xsd/SCOLOMFR");
	    $officeDocContent->setAttribute("xmlns:xsi","http://www.w3.org/2001/XMLSchema-instance");
	    $officeDocContent->setAttribute("xsi:schemaLocation","http://ltsc.ieee.org/xsd/LOM http://ltsc.ieee.org/xsd/lomv1.0/lom.xsd");

        $this->m_domDocument->appendChild($officeDocContent);

        $this->m_domRootElement = $officeDocContent;
        //ABULEDU_LOG_DEBUG
        return $this->m_domDocument->saveXML(); 		
	}

    /**
      * Exporte la section 1 Général
      * @see AbulEduLOMV1::p_abeLOMExportAsXML_section1()
      * @see AbulEduLOMFrV1::p_abeLOMExportAsXML_section1()
      *
      * @note Exemple de code XML qui sera généré:
      * @code
      <scolomfr:generalResourceType>
         <scolomfr:source>ScoLOMFRv1.0</scolomfr:source>
         <scolomfr:value>collection de données</scolomfr:value>
      </scolomfr:generalResourceType>
      <scolomfr:generalResourceType>
         <scolomfr:source>ScoLOMFRv1.0</scolomfr:source>
         <scolomfr:value>banque d'images</scolomfr:value>
      </scolomfr:generalResourceType>
      * @endcode
      */
	function p_abeLOMExportAsXML_section1(){	
		//ABULEDU_LOG_TRACE
		$e;
	    $e_fils;
	    $e_fils2;
	    $t;

	    parent::p_abeLOMExportAsXML_section1();
	    $e = $this->m_domCurrentElement;

	    //1.10
	    foreach ($this->m_GeneralDocumentTypology as $value) {
            $contenu = explode(";", $value);
            $cle = array_shift($contenu);
            $valeur = implode(";", $contenu);

	        $e_fils = $this->m_domDocument->createElement($this->m_xmlPrefixScoLomFr."generalResourceType");
	        $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixScoLomFr."source");
	        $e_fils->appendChild($e_fils2);
	        $t = $this->m_domDocument->createTextNode($cle);
	        $e_fils2->appendChild($t);

	        $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixScoLomFr."value");
	        $e_fils->appendChild($e_fils2);
	        //TODO
	        $t = $this->m_domDocument->createTextNode($valeur);
	        $e_fils2->appendChild($t);
	        $e->appendChild($e_fils);

	    }

	    return $this->m_domDocument->saveXML();
	}

	function p_abeLOMExportAsXML_section5(){
		//ABULEDU_LOG_TRACE
		$e;
	    $e_fils;
	    $e_fils2;
	    $t;

	
	    parent::p_abeLOMExportAsXML_section5();
	    $e = $this->m_domCurrentElement;

	    //5.14
	    if(count($this->abeLOMgetEducationalLocation())){
	    	foreach ($this->abeLOMgetEducationalLocation() as $value) {
	            $contenu = explode(";", $value);
	            $cle = array_shift($contenu);
	            $valeur = implode(";", $contenu);

	            $e_fils = $this->m_domDocument->createElement($this->m_xmlPrefixScoLomFr."place");
	            $e->appendChild($e_fils);
	            {
	                $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixScoLomFr."source");
	                $e_fils->appendChild($e_fils2);
	                $t = $this->m_domDocument->createTextNode($cle);
	                $e_fils2->appendChild($t);

	                $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixScoLomFr."value");
	                $e_fils->appendChild($e_fils2);
	                $t = $this->m_domDocument->createTextNode($valeur);
	                $e_fils2->appendChild($t);
	            }

	    	}
	    }

	    //5.15
	    if(count($this->abeLOMgetEducationalPedagogicModality())){
	    	foreach ($this->abeLOMgetEducationalPedagogicModality() as $value) {
	            $contenu = explode(";", $value);
	            $cle = array_shift($contenu);
	            $valeur = implode(";", $contenu);	


	            $e_fils = $this->m_domDocument->createElement($this->m_xmlPrefixScoLomFr."educationalMethod");
	            $e->appendChild($e_fils);
	            {
	                $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixScoLomFr."source");
	                $e_fils->appendChild($e_fils2);
	                $t = $this->m_domDocument->createTextNode($cle);
	                $e_fils2->appendChild($t);

	                $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixScoLomFr."value");
	                $e_fils->appendChild($e_fils2);
	                $t = $this->m_domDocument->createTextNode($valeur);
	                $e_fils2->appendChild($t);
	            }	                		
	    	}
	    }

	    //5.16
	    if(count($this->abeLOMgetEducationalTools())){
	    	foreach ($this->abeLOMgetEducationalTools() as $value) {
	            $contenu = explode(";", $value);
	            $cle = array_shift($contenu);
	            $valeur = implode(";", $contenu);


	            $e_fils = $this->m_domDocument->createElement($this->m_xmlPrefixScoLomFr."tool");
	            $e->appendChild($e_fils);
	            {
	                $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixScoLomFr."source");
	                $e_fils->appendChild($e_fils2);
	                $t = $this->m_domDocument->createTextNode($cle);
	                $e_fils2->appendChild($t);

	                $e_fils2 = $this->m_domDocument->createElement($this->m_xmlPrefixScoLomFr."value");
	                $e_fils->appendChild($e_fils2);
	                $t = $this->m_domDocument->createTextNode($valeur);
	                $e_fils2->appendChild($t);
	            }

	    	}
	    }

	    return $this->m_domDocument->saveXML();
	}

	//import branche 1.1
	function p_abeLOMImportXML_section1($n){
		//ABULEDU_LOG_TRACE
		parent::p_abeLOMImportXML_section1($n);

        foreach ($n->childNodes as $fils) {
            if($fils->nodeType == 3){
                continue;
            }

            $e = $fils;
            //1.1 Identifiant
            if($e->nodeName == $this->m_xmlPrefixScoLomFr."generalResourceType"){

                foreach ($e->childNodes as $node) {
                    if($node->nodeName == $this->m_xmlPrefixScoLomFr."value"){
                        $this->abeLOMaddGeneralDocumentTypology($node->textContent);
                    }
                }
            }     
        }
        return true;
	}

	function p_abeLOMImportXML_section5($n){
		//ABULEDU_LOG_TRACE
		parent::p_abeLOMImportXML_section5($n);

        foreach ($n->childNodes as $fils) {
            if($fils->nodeType == 3){
                continue;
            }

            $e = $fils;

            //5.14 Lieu: place
            if($e->nodeName == $this->m_xmlPrefixScoLomFr."place"){
        		foreach ($e->childNodes as $value) {
        			if($value->nodeName == $this->m_xmlPrefixScoLomFr."value"){
        				$this->abeLOMaddEducationalLocation($value->textContent);
        			}
        		}
            }

            //5.14 Lieu: place
            if($e->nodeName == $this->m_xmlPrefixScoLomFr."educationalMethod"){
        		foreach ($e->childNodes as $value) {
        			if($value->nodeName == $this->m_xmlPrefixScoLomFr."value"){
        				$this->abeLOMaddEducationalPedagogicModality($value->textContent);
        			}
        		}
            }

            //5.16 Outils
            if($e->nodeName == $this->m_xmlPrefixScoLomFr."tool"){
        		foreach ($e->childNodes as $value) {
        			if($value->nodeName == $this->m_xmlPrefixScoLomFr."value"){
        				$this->abeLOMaddEducationalTools($value->textContent);
        			}
        		}
            }          
        }
	}


	    // ------------------- branche 1
    protected $m_GeneralDocumentTypology;
    protected $m_GeneralDocumentTypologyVocabSCOLOMFR;

    // ------------------- branche 2
    protected $m_LifeCycleContributionRoleVocabSCOLOMFR;

    // ------------------- branche 5
    protected $m_EducationalLearningResourceTypeVocabSCOLOMFR;
    protected $m_EducationalLocation;
    protected $m_EducationalLocationVocabSCOLOMFR;
    protected $m_EducationalPedagogicModality;
    protected $m_EducationalPedagogicModalityVocabSCOLOMFR;
    protected $m_EducationalTools;
    protected $m_EducationalToolsVocabSCOLOMFR;
    protected $m_EducationalActivitiesVocabSCOLOMFR;

    // ------------------- branche 7
    protected $m_RelationKindVocabSCOLOMFR;

    // ------------------- branche 9
    protected $m_ClassificationPurposeVocabSCOLOMFR;
}
?>